Status: New Start date: 12/14/2018
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description
Add a Meshlmporter, which would import Meshes created in Blender, Maya and/or similar 3D modelling software.

Figure out the data format first.

History

#1 - 12/14/2018 11:15 PM - Leszek Koltunski

Article: https://en.wikipedia.org/wiki/Polygon_mesh#File formats

Looks like the .blend, .x3d and maybe .mesh might be candidates for image formats to import stuff from.

#2 - 03/10/2020 07:52 PM - Leszek Koltunski
- Priority changed from High to Normal

Now with arrival of MeshBase.apply(MatrixEffect) and new MeshJoined, and a planned API MeshBase.apply(VertexEffect), this is much less crucial.
Lowering priority to Normal.

#3 - 06/16/2020 12:52 PM - Leszek Koltunski

We have come up with our own, Distorted Mesh (‘dmesh') format.
